## cthumb 4.1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
VERSION=4.1
REL=1
DD=cthumb-$(VERSION)
ED=cthumb-examples-$(VERSION)

# BSD and others please use rsync or cp -r, since cp -a is not available there.

CPR=rsync -avqC

prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
mandir=${prefix}/man
themedir=${prefix}/share/images/cthumb

all: cthumb cthumb.spec

cthumb.spec: cthumb.spec.in Makefile VERSION
	./configure --prefix=$(prefix)

cthumb.1: cthumb.1.in configure
	./configure --prefix=$(prefix)

install: cthumb
	install -d $(bindir) $(prefix)/share $(themedir) $(mandir)/man1
	install -m555 cthumb $(bindir)
	install cthumb.1 $(mandir)/man1
	$(CPR) themes/* $(themedir)

Makefile: Makefile.in VERSION configure
	./configure --prefix=/usr

cthumb: cthumb.in VERSION configure
	./configure --prefix=/usr

dist: cthumb.spec cthumb
	# make prefix=$(shell pwd)/$(DD) install
	install -d $(DD)
	install -m644 Makefile Makefile.in README TO-DO INSTALL BUGS VERSION AUTHORS ChangeLog cthumb.in cthumb cthumb.spec.in cthumb.spec perl-modules.tgz cthumbrc.sample cthumb.1 cthumb.1.in $(DD)
	install -d $(DD)/themes
	$(CPR) themes $(DD)
	# $(CPR) ex* $(DD)
	$(CPR) contrib $(DD)
	install -m755 configure.in configure install-sh config.sub config.guess $(DD)
	tar -czf $(DD).tar.gz $(DD)
	mkdir -p releases
	mv $(DD).tar.gz releases/
	rm -rf $(DD)

rpm release: cthumb.spec configure
	./configure --prefix=/usr
	mkdir -p releases
	make dist; cp -f releases/cthumb-$(VERSION).tar.gz /usr/src/redhat/SOURCES/
	make cthumb.spec
	cp -f cthumb.spec /usr/src/redhat/SPECS/
	(cd /usr/src/redhat/SPECS/; rpm -ba --clean cthumb.spec)
	mv /usr/src/redhat/RPMS/noarch/cthumb-$(VERSION)-1.noarch.rpm releases/cthumb-$(VERSION)-1.noarch.rpm
	mv /usr/src/redhat/SRPMS/cthumb-$(VERSION)-1.src.rpm releases/cthumb-$(VERSION)-1.src.rpm
	rm -rf /usr/src/redhat/SOURCES/cthumb-$(VERSION).tar.gz
	@echo 
	@echo done:
	@echo releases/cthumb-$(VERSION).tar.gz
	@echo releases/cthumb-$(VERSION)-1.src.rpm
	@echo releases/cthumb-$(VERSION)-1.noarch.rpm
	@echo releases/$(ED).tar.gz

ex-dist:
	install -d $(ED)
	(cd examples; rsync -a ex[0-9][0-9]-* ../$(ED))
	tar -czf $(ED).tar.gz $(ED)
	mv $(ED).tar.gz releases/
	rm -rf $(ED)

examples: cthumb
	(cd examples; for i in ex*; do (cd $$i; echo doing: $$i; make ); done;)

configure: configure.in
	autoconf

clean:
	-rm Makefile cthumb cthumb.1

distclean: clean
	-rm config.log config.status config.cache

## cthumb 4.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Generated automatically from Makefile.in by configure.
-VERSION=4.1
+VERSION=4.2
 REL=1
 DD=cthumb-$(VERSION)
 ED=cthumb-examples-$(VERSION)
@@ -48,7 +48,7 @@
 	mv $(DD).tar.gz releases/
 	rm -rf $(DD)
 
-rpm release: cthumb.spec configure
+rpm release: cthumb.spec configure ex-dist
 	./configure --prefix=/usr
 	mkdir -p releases
 	make dist; cp -f releases/cthumb-$(VERSION).tar.gz /usr/src/redhat/SOURCES/

=== debian/changelog ===
cthumb (4.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Created debian/cthumb.manpages.
  * Updated to DH 10. (Closes: #817321, #800207)
  * debian/control:
    - Added Homepage field.
    - Added ${misc:Depends} in Depends field.
    - Added jhead as dependency. (Closes: #260059, LP: #1019789)
    - Bumped Standards-Version to 3.9.8.
    - Removed the leading article from short description.
    - Fixed libjpeg-turbo-progs dependency. (Closes: #813387)
  * debian/copyright:
    - Updated Copyright format to 1.0.
    - Fixed license link.
  * debian/patches:
    - Fixed doc location in manpage and syntax.
    - Migrate quotation fix to quilt format (Thanks, mbanck@debian.org).
  * debian/rules:
    - Migrated to new (reduced) format. (Closes: #395777)
  * debian/source:
    - Added format 3.0 (quilt).
  * debian/watch:
    - Created the watch file.
  * Run wrap-and-sort.

 -- Fernando Ike <fike@midstorm.org>  Mon, 24 Oct 2016 00:07:51 -0200

cthumb (4.2-3) unstable; urgency=low

  * debian/control: Add rsync to Build-Conflict-Indep, so that it does
    not get included when it is installed on the build machine;
    Closes: #197824

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jul 2003 11:36:10 +0200

cthumb (4.2-2) unstable; urgency=low

  * cthumb.in: Quote filenames when using mogrify to avoid errors
    with blanks inside filenames; Closes: #160647
  * debian/changelog: Removed local Emacs-variables

 -- Michael Banck <mbanck@debian.org>  Tue,  7 Jan 2003 20:20:52 +0100

cthumb (4.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer address
  * Bumped Standards-Version to 3.5.6.1

 -- Michael Banck <mbanck@debian.org>  Wed, 14 Aug 2002 19:09:34 +0200

cthumb (4.1-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@gmx.net>  Sun, 16 Dec 2001 01:08:19 +0100

cthumb (4.0-1) unstable; urgency=low

  * New upstream release
  * Removed executable permissions from new oak.theme
  * Added imagemagick to Suggests:

 -- Michael Banck <mbanck@gmx.net>  Sat,  8 Dec 2001 11:53:41 +0100

cthumb (3.7.1-2) unstable; urgency=low

  * Slight change in Makefile.in
  * Still from 3.7.1-1: Added clean and distclean targets and
    a $(themedir) variable to Makefile.in

 -- Michael Banck <mbanck@gmx.net>  Mon, 26 Nov 2001 22:35:51 +0100

cthumb (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Cleaned up debian/rules
  * Adjusted Makefile.in to honor --mandir and fixed $(bindir)

 -- Michael Banck <mbanck@gmx.net>  Sun, 25 Nov 2001 15:22:42 +0100

cthumb (3.7-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@gmx.net>  Sun, 11 Nov 2001 12:15:20 +0100

cthumb (3.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@gmx.net>  Mon,  8 Oct 2001 18:06:38 +0000

cthumb (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@gmx.net>  Mon, 17 Sep 2001 23:59:15 +0200

cthumb (3.5.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@gmx.net>  Tue, 11 Sep 2001 21:35:35 +0200

cthumb (3.4-1) unstable; urgency=low

  * Initial Release.
  * Moved /usr/share/images/cthumb to /usr/share/cthumb as those
    aren't really images but themes.

 -- Michael Banck <mbanck@gmx.net>  Fri, 20 Jul 2001 21:32:40 +0000

=== debian/control ===
Source: cthumb
Section: web
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends-Indep: debhelper (>= 10)
Build-Conflicts-Indep: rsync
Standards-Version: 3.9.8
Homepage: http://cthumb.sourceforge.net/

Package: cthumb
Architecture: all
Depends: libjpeg-turbo-progs,
         libwww-perl,
         netpbm,
         ${misc:Depends},
         ${perl:Depends}
Recommends: jhead
Suggests: imagemagick
Description: Program to generate themable Web picture albums
 cthumb allows you to create themable web picture albums, i.e.
 collections of digital pictures, with small thumbnails of your pictures
 and with captions. In addition, it optionally allows you to have
 several views of the collection of pictures. An album is composed of a
 series of pages, each composed of a collection of pictures. For each
 page (and each picture), you can have several annotations per picture.
 cthumb  will generate several versions of the page, for each annotation
 type.
 .
 You can customize almost everything in the way the albums look on the
 screen, from the size of the thumbnails to the background and foreground
 colors, the border colors, whether you want film-strips, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --without autoreconf

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/cthumb/usr \
		themedir=$(CURDIR)/debian/cthumb/usr/share/cthumb
	        install -m 666 cthumbrc.sample $(CURDIR)/debian/cthumb/usr/share/doc/cthumb/examples
		install contrib/*album $(CURDIR)/debian/cthumb/usr/share/doc/cthumb/scripts
dh_autoreconf_clean:


override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=4
http://sf.net/cthumb/ cthumb-([0-9].+)\.tar\.gz debian uupdate
